[comment]: # (Copyright © The Arvados Authors. All rights reserved.)
[comment]: # ()
[comment]: # (SPDX-License-Identifier: CC-BY-SA-3.0)

[Arvados](https://arvados.org) is a free software distributed computing platform
for bioinformatics, data science, and high throughput analysis of massive data
sets. Arvados supports a variety of cloud, cluster and HPC environments.

## Arvados on Kubernetes

This repository contains a Helm chart for Arvados.

Documentation can be found at [http://doc.arvados.org/install/arvados-on-kubernetes.html](http://doc.arvados.org/install/arvados-on-kubernetes.html)

## Community

[![Join the chat at https://gitter.im/arvados/community](https://badges.gitter.im/arvados/arvados.svg)](https://gitter.im/arvados/community?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

The [arvados/community channel](https://gitter.im/arvados/community)
channel at [gitter.im](https://gitter.im) is available for live
discussion and support.

The
[Arvados user mailing list](http://lists.arvados.org/mailman/listinfo/arvados)
is a forum for general discussion, questions, and news about Arvados
development.  The
[Arvados developer mailing list](http://lists.arvados.org/mailman/listinfo/arvados-dev)
is a forum for more technical discussion, intended for developers and
contributors to Arvados.

## Development

[![Build Status](https://ci.arvados.org/buildStatus/icon?job=run-tests)](https://ci.arvados.org/job/run-tests/)

[Arvados public bug tracker](https://dev.arvados.org/projects/arvados/issues)

[Continuous integration](https://ci.arvados.org/)

Instructions for setting up a development environment and working on specific
components can be found on the
["Hacking Arvados" page of the Arvados wiki](https://dev.arvados.org/projects/arvados/wiki/Hacking).

## Contributing

When making a pull request, please ensure *every git commit message* includes a one-line [Developer Certificate of Origin](https://dev.arvados.org/projects/arvados/wiki/Developer_Certificate_Of_Origin). If you have already made commits without it, fix them with `git commit --amend` or `git rebase`.

When adding a file, please make sure to add the appropriate copyright header, as described in the [Coding Standards](https://dev.arvados.org/projects/arvados/wiki/Coding_Standards#Copyright-headers).

## Licensing

Arvados is Free Software. See COPYING for information about Arvados Free
Software licenses.
